{
  "name": "video-learning-demo",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build:test": "vite build --mode development",
    "build": "vite build",
    "build:prod": "vite build --mode production",
    "preview": "vite preview"
  },
  "dependencies": {
    "@blocknote/core": "^0.44.0",
    "@blocknote/mantine": "^0.44.0",
    "@blocknote/react": "^0.44.0",
    "@blocknote/xl-multi-column": "^0.44.0",
    "@element-plus/icons-vue": "^2.3.2",
    "axios": "^1.13.2",
    "dompurify": "^3.3.3",
    "element-plus": "^2.11.9",
    "lodash": "^4.17.23",
    "pinia": "^3.0.4",
    "qrcode": "^1.5.4",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "sass": "^1.94.2",
    "veaury": "^2.6.3",
    "video.js": "^8.23.4",
    "vue": "^3.5.24",
    "vue-i18n": "^11.3.0",
    "vue-react-wrapper": "^0.3.1",
    "vue-router": "^4.6.3"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4.2.1",
    "@vheemstra/vite-plugin-imagemin": "^2.2.1",
    "@vitejs/plugin-vue": "^6.0.1",
    "autoprefixer": "^10.4.27",
    "imagemin-mozjpeg": "^10.0.0",
    "imagemin-pngquant": "^10.0.0",
    "imagemin-svgo": "^12.0.0",
    "postcss": "^8.5.8",
    "rollup-plugin-visualizer": "^7.0.1",
    "tailwindcss": "^4.2.1",
    "terser": "^5.46.0",
    "vite": "^7.2.4",
    "vite-plugin-compression": "^0.5.1"
  }
}
